<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Cycle extends Model
{
    //
    use HasFactory;


    protected $fillable = ['libelle'];

    public function niveaux(): HasMany
    {
        return $this->hasMany(Niveau::class);
    }

    public function professeurs(): HasMany
    {
        return $this->hasMany(Professeur::class);
    }

    public function etablissements(): HasMany
    {
        return $this->hasMany(Etablissement::class);
    }
}
